;;;; decons/csys - cybernetic communication systems

(defpackage :decons/csys
  (:use :common-lisp)
  (:local-nicknames (:actor :scopes/core/actor)
                    (:util :scopes/util))
  (:export #:cell #:system))

(in-package :decons/csys)

(defun cell (mh &key state conns)
  (actor:create 
    (lambda (msg) (funcall mh state conns))))
